Package com.google.javascript.jscomp

# Enum ShowByPathWarningsGuard.ShowType

java.lang.Object
java.lang.Enum<ShowByPathWarningsGuard.ShowType>
com.google.javascript.jscomp.ShowByPathWarningsGuard.ShowType

All Implemented Interfaces:
  `Serializable`, `Comparable<ShowByPathWarningsGuard.ShowType>`, `java.lang.constant.Constable`

Enclosing class:
  `ShowByPathWarningsGuard`

public static enum ShowByPathWarningsGuard.ShowType extends Enum<ShowByPathWarningsGuard.ShowType>
Controls whether warnings should be restricted to a specified path or suppressed within the specified path.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXCLUDE`
`INCLUDE`

## Method Summary

Modifier and Type
Method
Description
`static ShowByPathWarningsGuard.ShowType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ShowByPathWarningsGuard.ShowType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INCLUDE

public static final ShowByPathWarningsGuard.ShowType INCLUDE

### EXCLUDE

public static final ShowByPathWarningsGuard.ShowType EXCLUDE

## Method Details

### values

public static ShowByPathWarningsGuard.ShowType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ShowByPathWarningsGuard.ShowType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null